## luakit 2.1

=== Makefile ===
# Include makefile config
include config.mk

# Token lib generation
TLIST = common/tokenize.list
THEAD = common/tokenize.h
TSRC  = common/tokenize.c

SRCS  = $(filter-out $(TSRC),$(wildcard *.c) $(wildcard common/*.c) $(wildcard common/clib/*.c) $(wildcard clib/*.c) $(wildcard clib/soup/*.c) $(wildcard widgets/*.c)) $(TSRC)
HEADS = $(wildcard *.h) $(wildcard common/*.h) $(wildcard common/clib/*.h) $(wildcard widgets/*.h) $(wildcard clib/*.h) $(wildcard clib/soup/*.h) $(THEAD) buildopts.h
OBJS  = $(foreach obj,$(SRCS:.c=.o),$(obj))

EXT_SRCS = $(filter-out $(TSRC),$(wildcard extension/*.c) $(wildcard extension/clib/*.c) $(wildcard common/*.c)) $(wildcard common/clib/*.c) $(TSRC)
EXT_OBJS = $(foreach obj,$(EXT_SRCS:.c=.o),$(obj))

# List of sources used to generate Lua API documentation
# Must be kept in sync with doc/docgen.ld
DOC_SRCS = $(filter-out lib/markdown.lua lib/lousy/init.lua,$(shell for d in doc/luadoc lib common/clib; do find $$d -type f; done)) tests/lib.lua

all: options newline luakit luakit.1.gz luakit.so apidoc

options:
	@echo luakit build options:
	@echo "CC           = $(CC)"
	@echo "LUA_PKG_NAME = $(LUA_PKG_NAME)"
	@echo "LUA_BIN_NAME = $(LUA_BIN_NAME)"
	@echo "CFLAGS       = $(CFLAGS)"
	@echo "CPPFLAGS     = $(CPPFLAGS)"
	@echo "LDFLAGS      = $(LDFLAGS)"
	@echo "MANPREFIX    = $(MANPREFIX)"
	@echo "DOCDIR       = $(DOCDIR)"
	@echo "XDGPREFIX    = $(XDGPREFIX)"
	@echo "PIXMAPDIR    = $(PIXMAPDIR)"
	@echo "APPDIR       = $(APPDIR)"
	@echo
	@echo build targets:
	@echo "SRCS     = $(SRCS)"
	@echo "HEADS    = $(HEADS)"
	@echo "OBJS     = $(OBJS)"
	@echo "EXT_SRCS = $(EXT_SRCS)"
	@echo "EXT_OBJS = $(EXT_OBJS)"

$(THEAD) $(TSRC): $(TLIST)
	$(LUA_BIN_NAME) ./build-utils/gentokens.lua $(TLIST) $@

buildopts.h: buildopts.h.in
	sed -e 's#LUAKIT_INSTALL_PATH .*#LUAKIT_INSTALL_PATH "$(PREFIX)/share/luakit"#' \
		-e 's#LUAKIT_CONFIG_PATH .*#LUAKIT_CONFIG_PATH "$(XDGPREFIX)"#' \
		-e 's#LUAKIT_DOC_PATH .*#LUAKIT_DOC_PATH "$(DOCDIR)"#' \
		-e 's#LUAKIT_MAN_PATH .*#LUAKIT_MAN_PATH "$(MANPREFIX)"#' \
		-e 's#LUAKIT_PIXMAP_PATH .*#LUAKIT_PIXMAP_PATH "$(PIXMAPDIR)"#' \
		-e 's#LUAKIT_APP_PATH .*#LUAKIT_APP_PATH "$(APPDIR)"#' \
		-e 's#LUAKIT_LIB_PATH .*#LUAKIT_LIB_PATH "$(LIBDIR)"#' \
		buildopts.h.in > buildopts.h

$(filter-out $(EXT_OBJS),$(OBJS)) $(EXT_OBJS): $(HEADS) config.mk

$(filter-out $(EXT_OBJS),$(OBJS)) : %.o : %.c
	@echo $(CC) -c $< -o $@
	@$(CC) -c $(CFLAGS) $(CPPFLAGS) $< -o $@

$(EXT_OBJS) : %.o : %.c
	@echo $(CC) -c $< -o $@
	@$(CC) -c $(CFLAGS) -DLUAKIT_WEB_EXTENSION -fpic $(CPPFLAGS) $< -o $@

widgets/webview.o: $(wildcard widgets/webview/*.c)

luakit: $(OBJS)
	@echo $(CC) -o $@ $(OBJS)
	@$(CC) -o $@ $(OBJS) $(LDFLAGS)

luakit.so: $(EXT_OBJS)
	@echo $(CC) -o $@ $(EXT_OBJS)
	@$(CC) -o $@ $(EXT_OBJS) -shared $(LDFLAGS)

luakit.1: luakit.1.in
	@sed "s/LUAKITVERSION/$(VERSION)/" $< > $@

luakit.1.gz: luakit.1
	@gzip -c $< > $@

doc/apidocs/index.html: $(DOC_SRCS) $(wildcard build-utils/docgen/*)
	rm -rf doc/apidocs
	mkdir doc/apidocs
	$(LUA_BIN_NAME) ./build-utils/docgen/makedoc.lua

apidoc: doc/apidocs/index.html

doc: buildopts.h $(THEAD) $(TSRC)
	doxygen -s doc/luakit.doxygen

clean:
	rm -rf doc/apidocs doc/html luakit $(OBJS) $(EXT_OBJS) $(TSRC) $(THEAD) buildopts.h luakit.1 luakit.1.gz luakit.so

install: all
	install -d $(DESTDIR)$(PREFIX)/share/luakit/
	install -d $(DESTDIR)$(DOCDIR) $(DESTDIR)$(DOCDIR)/classes $(DESTDIR)$(DOCDIR)/modules $(DESTDIR)$(DOCDIR)/pages
	install -m644 README.md AUTHORS COPYING.GPLv3 $(DESTDIR)$(DOCDIR)
	install -m644 doc/apidocs/classes/* $(DESTDIR)$(DOCDIR)/classes
	install -m644 doc/apidocs/modules/* $(DESTDIR)$(DOCDIR)/modules
	install -m644 doc/apidocs/pages/* $(DESTDIR)$(DOCDIR)/pages
	install -m644 doc/apidocs/*.html $(DESTDIR)$(DOCDIR)
	install -d $(DESTDIR)$(PREFIX)/share/luakit/lib $(DESTDIR)$(PREFIX)/share/luakit/lib/lousy $(DESTDIR)$(PREFIX)/share/luakit/lib/lousy/widget
	install -m644 lib/*.* $(DESTDIR)$(PREFIX)/share/luakit/lib
	install -m644 lib/lousy/*.* $(DESTDIR)$(PREFIX)/share/luakit/lib/lousy
	install -m644 lib/lousy/widget/*.* $(DESTDIR)$(PREFIX)/share/luakit/lib/lousy/widget
	install -d $(DESTDIR)$(PREFIX)/lib/luakit
	install -m644 luakit.so $(DESTDIR)$(PREFIX)/lib/luakit/luakit.so
	install -d $(DESTDIR)$(PREFIX)/bin
	install luakit $(DESTDIR)$(PREFIX)/bin/luakit
	install -d $(DESTDIR)$(XDGPREFIX)/luakit/
	install -m644 config/*.lua $(DESTDIR)$(XDGPREFIX)/luakit/
	install -d $(DESTDIR)$(PIXMAPDIR)
	install -m644 extras/luakit.png $(DESTDIR)$(PIXMAPDIR)
	install -d $(DESTDIR)$(APPDIR)
	install -m644 extras/luakit.desktop $(DESTDIR)$(APPDIR)
	install -d $(DESTDIR)$(MANPREFIX)/man1/
	install -m644 luakit.1.gz $(DESTDIR)$(MANPREFIX)/man1/
	mkdir -p resources
	find resources -type d -exec install -d $(DESTDIR)$(PREFIX)/share/luakit/'{}' \;
	find resources -type f -exec sh -c 'f="{}"; install -m644 "$$f" "$(DESTDIR)$(PREFIX)/share/luakit/$$(dirname $$f)"' \;

uninstall:
	rm -rf $(DESTDIR)$(PREFIX)/bin/luakit $(DESTDIR)$(PREFIX)/share/luakit $(DESTDIR)$(PREFIX)/lib/luakit
	rm -rf $(DESTDIR)$(MANPREFIX)/man1/luakit.1.gz $(DESTDIR)$(XDGPREFIX)/luakit
	rm -rf $(DESTDIR)$(APPDIR)/luakit.desktop $(DESTDIR)$(PIXMAPDIR)/luakit.png

tests/util.so: tests/util.c Makefile
	$(CC) -fpic $(CFLAGS) $(CPPFLAGS) -shared $< $(LDFLAGS) -o $@

run-tests: luakit luakit.so tests/util.so
	@$(LUA_BIN_NAME) tests/run_test.lua

newline: options;@echo
.PHONY: all clean options install newline apidoc doc default

=== debian/changelog ===
luakit (1:2.1-2) unstable; urgency=medium

  [Markus Demleitner]
  * Remove libunique-dev from build deps.  Closes: #947513

  [Ole Streicher]
  * Fix watch file

 -- Markus Demleitner <msdemlei@fsfe.org>  Sun, 05 Jan 2020 12:30:26 +0100

luakit (1:2.1-1) unstable; urgency=medium

  [Markus Demleitner]
  * New upstream version 2.1.  See the upstream changelog for
    instructions on migrating existing configuration.
  * Moving to new major.minor versioning scheme now employed by upstream.
    Hence, there is now an epoch on our version number.

  [Helmut Grohne]
  * Fix FTCBFS: (Closes: #923099)
    + cross.patch: Make pkg-config substitutable.
    + Export PKG_CONFIG for all targets.
    + Build-Depends: require a native lua-filesystem for docs.

 -- Markus Demleitner <msdemlei@fsfe.org>  Thu, 28 Feb 2019 14:51:38 +0100

luakit (2017.08.10-1) unstable; urgency=medium

  * New upstream version 2017.08.10
  * Updating dependencies (to webkit2)
  * Closes: #893870

 -- Markus Demleitner <msdemlei@fsfe.org>  Sun, 06 Jan 2019 11:25:03 +0100

luakit (2012.09.13-r1-4) unstable; urgency=medium

  * Patch from Chris Lamb to make the build reproducible.
    closes: #777491.
  * Orphan the package.

 -- Clint Adams <clint@debian.org>  Mon, 25 May 2015 21:45:51 -0400

luakit (2012.09.13-r1-3) unstable; urgency=low

  [ Enrico Tassi ]
  * Use post-wheezy Lua package names in Depends:
    - liblua5.1-filesystem0 -> lua5.1-filesystem

 -- Clint Adams <clint@debian.org>  Thu, 19 Sep 2013 18:20:31 +0200

luakit (2012.09.13-r1-2) unstable; urgency=low

  * Cherry-pick 105530f1542d568a6cf8d236eb1dc84fa982703b and
    d24b8d230c2377e5ee015cbda78098d1da72c899 from luakit-crowd.

 -- Clint Adams <clint@debian.org>  Sat, 13 Jul 2013 11:51:49 -0400

luakit (2012.09.13-r1-1) unstable; urgency=low

  * New upstream version.
  * Bump to Standards-Version 3.9.4.
  * Add build-arch and build-indep targets.
  * Use dpkg-buildflags.
  * Change Homepage to http://luakit.org/ .  closes: #695288.
  * Call update-menus in postinst.
  * Add watch file.
  * Update descriptions.

 -- Clint Adams <clint@debian.org>  Sun, 30 Dec 2012 19:34:33 -0500

luakit (2012.03.25-1) unstable; urgency=low

  * New upstream version.
  * Make DuckDuckGo default search engine.
  * Add Debian tag to DDG query string.

 -- Clint Adams <clint@debian.org>  Tue, 27 Mar 2012 16:08:46 -0400

luakit (2011.07.22-r1+1015-1) unstable; urgency=low

  * New upstream development snapshot.

 -- Clint Adams <clint@debian.org>  Sun, 30 Oct 2011 19:14:53 -0400

luakit (2011.07.22-r1-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Clint Adams <clint@debian.org>  Thu, 28 Jul 2011 09:39:24 +0200

luakit (2011.07.22-2) unstable; urgency=low

  * Change WebKitGTK+ build dependency to libwebkitgtk-dev.  closes:
    #635418.

 -- Clint Adams <clint@debian.org>  Tue, 26 Jul 2011 14:36:08 +0200

luakit (2011.07.22-1) unstable; urgency=low

  * New upstream release.

 -- Clint Adams <clint@debian.org>  Fri, 22 Jul 2011 15:27:45 +0200

luakit (2011.05.06+unique-1) unstable; urgency=low

  * Add libunique support and corresponding build dependency.
  * Fix popup inactivity problem.  closes: #622594.
  * Bump to Standards-Version 3.9.2.

 -- Clint Adams <clint@debian.org>  Wed, 15 Jun 2011 19:18:41 -0400

luakit (2011.05.06-2) unstable; urgency=low

  * Add Debian menu entry from Jonathan Lane.  closes: #629103.

 -- Clint Adams <clint@debian.org>  Sat, 04 Jun 2011 12:27:05 -0400

luakit (2011.05.06-1) unstable; urgency=low

  * New upstream release.

 -- Clint Adams <clint@debian.org>  Fri, 06 May 2011 10:19:05 -0400

luakit (2011.04.13-1) unstable; urgency=low

  * New upstream bugfix release.
  * Set term to x-terminal-emulator instead of xterm.  closes: #604899.

 -- Clint Adams <clint@debian.org>  Wed, 13 Apr 2011 12:43:47 -0400

luakit (2011.04.04-1) unstable; urgency=low

  * New upstream release.

 -- Clint Adams <clint@debian.org>  Sun, 03 Apr 2011 12:30:16 -0400

luakit (2010.12.25+0329-1) unstable; urgency=medium

  * New upstream development snapshot.

 -- Clint Adams <clint@debian.org>  Thu, 31 Mar 2011 15:22:37 -0400

luakit (2010.12.25+0327-1) unstable; urgency=low

  * New upstream development snapshot.

 -- Clint Adams <clint@debian.org>  Sun, 27 Mar 2011 13:11:21 -0400

luakit (2010.12.25+0310-1) unstable; urgency=low

  * New upstream development snapshot.

 -- Clint Adams <clint@debian.org>  Sat, 12 Mar 2011 11:02:40 -0500

luakit (2010.12.25+0225-1) unstable; urgency=low

  * New upstream development snapshot.
  * Add build dependency on libsqlite3-dev.

 -- Clint Adams <clint@debian.org>  Fri, 25 Feb 2011 10:33:39 -0500

luakit (2010.12.25-2) unstable; urgency=low

  * New upstream bugfix release (2010.12.25-r1).

 -- Clint Adams <clint@gnu.org>  Sun, 26 Dec 2010 21:24:58 -0500

luakit (2010.12.25-1) unstable; urgency=low

  * New upstream release.

 -- Clint Adams <clint@gnu.org>  Sat, 25 Dec 2010 09:14:36 -0500

luakit (2010.09.24+whatthelol-1) unstable; urgency=low

  * New upstream development snapshot.

 -- Clint Adams <clint@gnu.org>  Fri, 03 Dec 2010 21:20:41 -0500

luakit (2010.09.24+veterans-1) unstable; urgency=low

  * New upstream development snapshot.
  * Remove misleading http_proxy line from globals.lua.
    closes: #603037.

 -- Clint Adams <clint@gnu.org>  Thu, 11 Nov 2010 18:26:21 -0500

luakit (2010.09.24+halloween-2) unstable; urgency=low

  * Add dependency on liblua5.1-filesystem0.  closes: #602046.

 -- Clint Adams <schizo@debian.org>  Wed, 03 Nov 2010 16:01:51 -0400

luakit (2010.09.24+halloween-1) unstable; urgency=low

  * New upstream development snapshot.

 -- Clint Adams <schizo@debian.org>  Sun, 31 Oct 2010 11:13:58 -0400

luakit (2010.09.24-1) unstable; urgency=low

  * New upstream release.
    - Drop build-dependency on gperf.
    - Add build dependency on lua5.1.

 -- Clint Adams <schizo@debian.org>  Fri, 24 Sep 2010 06:31:14 -0400

luakit (2010.08.30-2) unstable; urgency=low



=== debian/control ===
Source: luakit
Section: web
Priority: optional
Maintainer: Markus Demleitner <msdemlei@fsfe.org>
Standards-Version: 4.3.0
Build-Depends: debhelper (>=9), help2man, libluajit-5.1-dev, libsqlite3-dev, libgtk-3-dev, libwebkit2gtk-4.0-dev, luajit, lua-filesystem:native
Homepage: http://luakit.github.io/
Vcs-Git: https://salsa.debian.org/debian/luakit.git
Vcs-Browser: https://salsa.debian.org/debian/luakit

Package: luakit
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, lua5.1-filesystem
Description: fast and small web browser extensible by Lua
 Luakit is a highly-configurable browser framework based on WebKitGTK+.
 It is very fast and extensible by Lua.  It is primarily targeted at power
 users, developers and any people with too much time on their hands who
 want to have fine-grained control over their web browser's behaviour and
 interface.

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/buildtools.mk
export PKG_CONFIG ?= pkg-config
export DH_VERBOSE = 1
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic -fstack-protector-strong -Wformat -Werror=format-security
export DEB_CPPFLAGS_MAINT_APPEND  = -Wdate-time -D_FORTIFY_SOURCE=2
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed,-z,relro

export VERSION='2.0.0'
export PREFIX=/usr
export DEVELOPMENT_PATHS=0
export USE_LUAJIT=1

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- PREFIX=/usr DEVELOPMENT_PATHS=0 USE_LUAJIT=1

override_dh_auto_install:
	dh_auto_install -- PREFIX=/usr
	rm debian/luakit/usr/share/luakit/resources/icons/COPYING
	# some documentation is used in-program for help files and such;
	# link it from docs, and move out the rest from there.
	mkdir -p debian/luakit/usr/share/doc/luakit
	mv debian/luakit/usr/share/luakit/doc/README.md \
		debian/luakit/usr/share/doc/luakit/
	mv debian/luakit/usr/share/luakit/doc/AUTHORS \
		debian/luakit/usr/share/doc/luakit/
	ln -s /usr/share/luakit/doc/index.html \
		debian/luakit/usr/share/doc/luakit/
	ln -s /usr/share/luakit/doc/classes \
		debian/luakit/usr/share/doc/luakit/
	ln -s /usr/share/luakit/doc/pages \
		debian/luakit/usr/share/doc/luakit/
	ln -s /usr/share/luakit/doc/modules \
		debian/luakit/usr/share/doc/luakit/

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/<project>-$1\.tar\.gz/ \
  https://github.com/luakit/luakit/tags .*/v?(\d\.\S+)\.tar\.gz

## luakit 2.1+git2020.08.04

=== debian/changelog ===
luakit (1:2.1+git2020.08.04-1) unstable; urgency=medium

  * Change watch file temporarily to pull from a local tag (upstream
    hasn't tagged yet); calling this version 2.1+git2020-08-04
  * Many changes leading up to new upstream release (probably 2.2),
    including some bug fixes.
  * Closes: #946362, #957511

 -- Markus Demleitner <gavo@ari.uni-heidelberg.de>  Wed, 05 Aug 2020 09:17:25 +0200

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/<project>-$1\.tar\.gz/ \
  https://github.com/msdemlei/luakit/tags .*/v?(2\.[a-z0-9+-]+)\.tar\.gz

## luakit 2.2.1

=== debian/changelog ===
luakit (1:2.2.1-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Markus Demleitner <msdemlei@fsfe.org>  Tue, 22 Sep 2020 15:39:32 +0200

luakit (1:2.2.1-1) unstable; urgency=low

  * New upstream version 2.2.1
  * Watching upstream luakit again

 -- Markus Demleitner <msdemlei@fsfe.org>  Sun, 20 Sep 2020 14:44:20 +0200

luakit (1:2.1+git2020.08.04-1) unstable; urgency=low

  * Change watch file temporarily to pull from a local tag (upstream
    hasn't tagged yet); calling this version 2.1+git2020-08-04
  * Many changes leading up to new upstream release (probably 2.2),
    including some bug fixes.
  * Closes: #946362, #957511

 -- Markus Demleitner <msdemlei@fsfe.org>  Wed, 05 Aug 2020 09:17:25 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,18 @@
 Priority: optional
 Maintainer: Markus Demleitner <msdemlei@fsfe.org>
 Standards-Version: 4.3.0
-Build-Depends: debhelper (>=9), help2man, libluajit-5.1-dev, libsqlite3-dev, libgtk-3-dev, libwebkit2gtk-4.0-dev, luajit, lua-filesystem:native
+Build-Depends: 
+	help2man, 
+	libluajit-5.1-dev, 
+	libsqlite3-dev, 
+	libgtk-3-dev, 
+	libwebkit2gtk-4.0-dev, 
+	luajit, 
+	lua-filesystem:native,
+	lua-filesystem,
+	lua-check,
+	lua-luassert,
+	debhelper-compat (=13)
 Homepage: http://luakit.github.io/
 Vcs-Git: https://salsa.debian.org/debian/luakit.git
 Vcs-Browser: https://salsa.debian.org/debian/luakit

## luakit 2.3

=== Makefile ===
--- 
+++ 
@@ -74,7 +74,7 @@
 	@$(CC) -o $@ $(EXT_OBJS) -shared $(LDFLAGS)
 
 luakit.1: luakit.1.in
-	@sed "s/LUAKITVERSION/$(VERSION)/" $< > $@
+	@sed "s|LUAKITVERSION|$(VERSION)|" $< > $@
 
 luakit.1.gz: luakit.1
 	@gzip -c $< > $@

=== debian/changelog ===
luakit (1:2.3-1) unstable; urgency=medium

  * New upstream version 2.3
  * Adding a provides: www-browser (Closes: #996772)
  * Adding a workaround for occasionally failing doc builds.

 -- Markus Demleitner <msdemlei@fsfe.org>  Mon, 06 Dec 2021 18:47:12 +0100

=== debian/control ===
--- 
+++ 
@@ -22,6 +22,7 @@
 Package: luakit
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, lua5.1-filesystem
+Provides: www-browser
 Description: fast and small web browser extensible by Lua
  Luakit is a highly-configurable browser framework based on WebKitGTK+.
  It is very fast and extensible by Lua.  It is primarily targeted at power

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,5 @@
 #!/usr/bin/make -f
+include /usr/share/dpkg/pkg-info.mk
 include /usr/share/dpkg/buildtools.mk
 export PKG_CONFIG ?= pkg-config
 export DH_VERBOSE = 1
@@ -6,7 +7,8 @@
 export DEB_CPPFLAGS_MAINT_APPEND  = -Wdate-time -D_FORTIFY_SOURCE=2
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed,-z,relro
 
-export VERSION='2.0.0'
+# parallel builds make document generation shaky
+export VERSION=${DEB_VERSION_UPSTREAM}
 export PREFIX=/usr
 export DEVELOPMENT_PATHS=0
 export USE_LUAJIT=1
@@ -15,7 +17,7 @@
 	dh $@
 
 override_dh_auto_build:
-	dh_auto_build -- PREFIX=/usr DEVELOPMENT_PATHS=0 USE_LUAJIT=1
+	dh_auto_build --no-parallel -- PREFIX=/usr DEVELOPMENT_PATHS=0 USE_LUAJIT=1
 
 override_dh_auto_install:
 	dh_auto_install -- PREFIX=/usr

## luakit 2.3.1

=== debian/changelog ===
luakit (1:2.3.1-3) unstable; urgency=medium

  * No longer using luajit to build on s390 (which has had a number of
    problems in the past).

 -- Markus Demleitner <msdemlei@fsfe.org>  Sat, 29 Oct 2022 11:28:16 +0200

luakit (1:2.3.1-2) unstable; urgency=medium

  * Dropping lintian-placating Makefile patch because it's upstreamed
  * Adding a patch to fix incompatibility with newer glibs (Closes: #1020404)

 -- Markus Demleitner <msdemlei@fsfe.org>  Wed, 21 Sep 2022 20:16:43 +0200

luakit (1:2.3.1-1) unstable; urgency=medium

  * Less insane workaround for unstable doc building
  * New upstream version 2.3.1

 -- Markus Demleitner <msdemlei@fsfe.org>  Wed, 31 Aug 2022 20:51:26 +0200

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Standards-Version: 4.3.0
 Build-Depends: 
 	help2man, 
+	liblua5.1-dev,
 	libluajit-5.1-dev, 
 	libsqlite3-dev, 
 	libgtk-3-dev,

=== debian/rules ===
--- 
+++ 
@@ -11,13 +11,25 @@
 export VERSION=${DEB_VERSION_UPSTREAM}
 export PREFIX=/usr
 export DEVELOPMENT_PATHS=0
-export USE_LUAJIT=1
+
+# luajit appears somewhat erratic on s390 (in 2022).
+# USE_LUAJIT=1 is the default.
+ARCH=$(subst s390x,s390,$(shell uname -m))
+ifeq ($(ARCH),s390)
+	export USE_LUAJIT=0
+	export LUA_PKG_NAME=lua51
+else
+	# For reproducable doc building -- see 
+	# https://github.com/luakit/luakit/issues/975
+	export USE_LUAJIT=1
+	export LUA_BIN_NAME=luajit -O2
+endif
 
 %:
 	dh $@
 
 override_dh_auto_build:
-	dh_auto_build --no-parallel -- PREFIX=/usr DEVELOPMENT_PATHS=0 USE_LUAJIT=1
+	dh_auto_build --no-parallel -- PREFIX=/usr DEVELOPMENT_PATHS=0
 
 override_dh_auto_install:
 	dh_auto_install -- PREFIX=/usr

## luakit 2.3.3

=== Makefile ===
--- 
+++ 
@@ -32,6 +32,7 @@
 	@echo "XDGPREFIX    = $(XDGPREFIX)"
 	@echo "PIXMAPDIR    = $(PIXMAPDIR)"
 	@echo "APPDIR       = $(APPDIR)"
+	@echo "LIBDIR       = $(LIBDIR)"
 	@echo
 	@echo build targets:
 	@echo "SRCS     = $(SRCS)"
@@ -61,7 +62,7 @@
 
 $(EXT_OBJS) : %.o : %.c
 	@echo $(CC) -c $< -o $@
-	@$(CC) -c $(CFLAGS) -DLUAKIT_WEB_EXTENSION -fpic $(CPPFLAGS) $< -o $@
+	@$(CC) -c $(CFLAGS) -DLUAKIT_WEB_EXTENSION -fPIC $(CPPFLAGS) $< -o $@
 
 widgets/webview.o: $(wildcard widgets/webview/*.c)
 
@@ -93,32 +94,33 @@
 	rm -rf doc/apidocs doc/html luakit $(OBJS) $(EXT_OBJS) $(TSRC) $(THEAD) buildopts.h luakit.1 luakit.1.gz luakit.so
 
 install: all
-	install -d $(DESTDIR)$(PREFIX)/share/luakit/
-	install -d $(DESTDIR)$(DOCDIR) $(DESTDIR)$(DOCDIR)/classes $(DESTDIR)$(DOCDIR)/modules $(DESTDIR)$(DOCDIR)/pages
+	install -d $(DESTDIR)$(DOCDIR)/classes
+	install -d $(DESTDIR)$(DOCDIR)/modules
+	install -d $(DESTDIR)$(DOCDIR)/pages
 	install -m644 README.md AUTHORS COPYING.GPLv3 $(DESTDIR)$(DOCDIR)
 	install -m644 doc/apidocs/classes/* $(DESTDIR)$(DOCDIR)/classes
 	install -m644 doc/apidocs/modules/* $(DESTDIR)$(DOCDIR)/modules
 	install -m644 doc/apidocs/pages/* $(DESTDIR)$(DOCDIR)/pages
 	install -m644 doc/apidocs/*.html $(DESTDIR)$(DOCDIR)
-	install -d $(DESTDIR)$(PREFIX)/share/luakit/lib $(DESTDIR)$(PREFIX)/share/luakit/lib/lousy $(DESTDIR)$(PREFIX)/share/luakit/lib/lousy/widget
+	install -d $(DESTDIR)$(PREFIX)/share/luakit/lib/lousy/widget
 	install -m644 lib/*.* $(DESTDIR)$(PREFIX)/share/luakit/lib
 	install -m644 lib/lousy/*.* $(DESTDIR)$(PREFIX)/share/luakit/lib/lousy
 	install -m644 lib/lousy/widget/*.* $(DESTDIR)$(PREFIX)/share/luakit/lib/lousy/widget
-	install -d $(DESTDIR)$(PREFIX)/lib/luakit
-	install -m644 luakit.so $(DESTDIR)$(PREFIX)/lib/luakit/luakit.so
+	install -d $(DESTDIR)$(LIBDIR)
+	install -m644 luakit.so $(DESTDIR)$(LIBDIR)/luakit.so
 	install -d $(DESTDIR)$(PREFIX)/bin
 	install luakit $(DESTDIR)$(PREFIX)/bin/luakit
 	install -d $(DESTDIR)$(XDGPREFIX)/luakit/
 	install -m644 config/*.lua $(DESTDIR)$(XDGPREFIX)/luakit/
 	install -d $(DESTDIR)$(PIXMAPDIR)
 	install -m644 extras/luakit.png $(DESTDIR)$(PIXMAPDIR)
+	install -m644 extras/luakit.svg $(DESTDIR)$(PIXMAPDIR)
 	install -d $(DESTDIR)$(APPDIR)
 	install -m644 extras/luakit.desktop $(DESTDIR)$(APPDIR)
 	install -d $(DESTDIR)$(MANPREFIX)/man1/
 	install -m644 luakit.1.gz $(DESTDIR)$(MANPREFIX)/man1/
-	mkdir -p resources
-	find resources -type d -exec install -d $(DESTDIR)$(PREFIX)/share/luakit/'{}' \;
-	find resources -type f -exec sh -c 'f="{}"; install -m644 "$$f" "$(DESTDIR)$(PREFIX)/share/luakit/$$(dirname $$f)"' \;
+	install -d $(DESTDIR)$(PREFIX)/share/luakit/resources/icons
+	for i in resources/icons/*; do install -m644 "$$i" "$(DESTDIR)$(PREFIX)/share/luakit/resources/icons"; done
 
 uninstall:
 	rm -rf $(DESTDIR)$(PREFIX)/bin/luakit $(DESTDIR)$(PREFIX)/share/luakit $(DESTDIR)$(PREFIX)/lib/luakit
@@ -126,7 +128,7 @@
 	rm -rf $(DESTDIR)$(APPDIR)/luakit.desktop $(DESTDIR)$(PIXMAPDIR)/luakit.png
 
 tests/util.so: tests/util.c Makefile
-	$(CC) -fpic $(CFLAGS) $(CPPFLAGS) -shared $< $(LDFLAGS) -o $@
+	$(CC) -fPIC $(CFLAGS) $(CPPFLAGS) -shared $< $(LDFLAGS) -o $@
 
 run-tests: luakit luakit.so tests/util.so
 	@$(LUA_BIN_NAME) tests/run_test.lua

=== debian/changelog ===
luakit (1:2.3.3-1) unstable; urgency=medium

  * New upstream version 2.3.3.
  * Removing the pcre patch.

 -- Markus Demleitner <msdemlei@fsfe.org>  Thu, 01 Dec 2022 10:18:24 +0100

=== debian/control ===
--- 
+++ 
@@ -2,21 +2,21 @@
 Section: web
 Priority: optional
 Maintainer: Markus Demleitner <msdemlei@fsfe.org>
-Standards-Version: 4.3.0
-Build-Depends: 
-	help2man, 
+Standards-Version: 4.6.1
+Build-Depends:
+	help2man,
 	liblua5.1-dev,
-	libluajit-5.1-dev, 
-	libsqlite3-dev, 
-	libgtk-3-dev, 
-	libwebkit2gtk-4.0-dev, 
-	luajit, 
+	libluajit-5.1-dev,
+	libsqlite3-dev,
+	libgtk-3-dev,
+	libwebkit2gtk-4.0-dev,
+	luajit,
 	lua-filesystem:native,
 	lua-filesystem,
 	lua-check,
 	lua-luassert,
 	debhelper-compat (=13)
-Homepage: http://luakit.github.io/
+Homepage: https://luakit.github.io/
 Vcs-Git: https://salsa.debian.org/debian/luakit.git
 Vcs-Browser: https://salsa.debian.org/debian/luakit

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/luakit-$1\.tar\.gz/ \
  https://github.com/luakit/luakit/tags .*/v?(2\.[.a-z0-9+-]+)\.tar\.gz

## luakit 2.3.6

=== debian/changelog ===
luakit (1:2.3.6-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:57:11 +1100

luakit (1:2.3.6-1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 05:36:42 +0000

luakit (1:2.3.6-1) unstable; urgency=medium

  * New upstream version 2.3.6.
  * Hence, dropping the 4.1 API patches.

 -- Markus Demleitner <msdemlei@fsfe.org>  Sun, 04 Feb 2024 15:25:55 +0100

luakit (1:2.3.3-2) unstable; urgency=medium

  * Cherry-picking patches for using 4.1 API (thanks, Jeremy)

 -- Markus Demleitner <msdemlei@fsfe.org>  Mon, 15 Jan 2024 08:39:42 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: luakit
 Section: web
 Priority: optional
-Maintainer: Markus Demleitner <msdemlei@fsfe.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Markus Demleitner <msdemlei@fsfe.org>
 Standards-Version: 4.6.1
 Build-Depends:
 	help2man,
@@ -9,7 +10,7 @@
 	libluajit-5.1-dev,
 	libsqlite3-dev,
 	libgtk-3-dev,
-	libwebkit2gtk-4.0-dev,
+	libwebkit2gtk-4.1-dev,
 	luajit,
 	lua-filesystem:native,
 	lua-filesystem,

## luakit 2.4.0

=== debian/changelog ===
luakit (1:2.4.0-1) unstable; urgency=medium

  * Now using sensible-utils (Closes: #1074369)
  * New upstream version 2.4.0

 -- Markus Demleitner <gavo@ari.uni-heidelberg.de>  Sat, 15 Feb 2025 15:40:24 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: luakit
 Section: web
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Markus Demleitner <msdemlei@fsfe.org>
+Maintainer: Markus Demleitner <msdemlei@fsfe.org>
 Standards-Version: 4.6.1
 Build-Depends:
 	help2man,
@@ -23,7 +22,8 @@
 
 Package: luakit
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, lua5.1-filesystem
+Depends: ${shlibs:Depends}, ${misc:Depends}, lua5.1-filesystem,
+         sensible-utils (>= 0.0.18~), xterm | x-terminal-emulator
 Provides: www-browser
 Description: fast and small web browser extensible by Lua
  Luakit is a highly-configurable browser framework based on WebKitGTK+.

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 export DH_VERBOSE = 1
 export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic -fstack-protector-strong -Wformat -Werror=format-security
 export DEB_CPPFLAGS_MAINT_APPEND  = -Wdate-time -D_FORTIFY_SOURCE=2
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed,-z,relro
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,relro
 
 # parallel builds make document generation shaky
 export VERSION=${DEB_VERSION_UPSTREAM}
@@ -19,7 +19,7 @@
 	export USE_LUAJIT=0
 	export LUA_PKG_NAME=lua51
 else
-	# For reproducable doc building -- see 
+	# For reproducable doc building -- see
 	# https://github.com/luakit/luakit/issues/975
 	export USE_LUAJIT=1
 	export LUA_BIN_NAME=luajit -O2

## luakit 2010.09.24+veterans

=== Makefile ===
# Include makefile config
include config.mk

# Token lib generation
TLIST = common/tokenize.list
THEAD = common/tokenize.h
TSRC  = common/tokenize.c

SRCS  = $(filter-out ${TSRC},$(wildcard *.c) $(wildcard common/*.c) $(wildcard widgets/*.c)) ${TSRC}
HEADS = $(wildcard *.h) $(wildcard common/*.h) $(wildcard widgets/*.h) ${THEAD} globalconf.h
OBJS  = $(foreach obj,$(SRCS:.c=.o),$(obj))

all: options newline luakit luakit.1

options:
	@echo luakit build options:
	@echo "CC         = ${CC}"
	@echo "CFLAGS     = ${CFLAGS}"
	@echo "CPPFLAGS   = ${CPPFLAGS}"
	@echo "LDFLAGS    = ${LDFLAGS}"
	@echo "INSTALLDIR = ${INSTALLDIR}"
	@echo "MANPREFIX  = ${MANPREFIX}"
	@echo "DOCDIR     = ${DOCDIR}"
	@echo
	@echo build targets:
	@echo "SRCS       = ${SRCS}"
	@echo "HEADS      = ${HEADS}"
	@echo "OBJS       = ${OBJS}"

${THEAD} ${TSRC}: options newline ${TLIST}
	./build-utils/gentokens.lua ${TLIST} $@

globalconf.h: options newline globalconf.h.in
	sed 's#LUAKIT_INSTALL_PATH .*#LUAKIT_INSTALL_PATH "$(PREFIX)/share/luakit"#' globalconf.h.in > globalconf.h

${OBJS}: ${HEADS} config.mk

.c.o:
	@echo ${CC} -c $< -o $@
	@${CC} -c ${CFLAGS} ${CPPFLAGS} $< -o $@

luakit: ${OBJS}
	@echo ${CC} -o $@ ${OBJS}
	@${CC} -o $@ ${OBJS} ${LDFLAGS}

luakit.1: luakit
	help2man -N -o $@ ./$<

apidoc: luadoc/luakit.lua
	mkdir -p apidocs
	luadoc --nofiles -d apidocs luadoc/* lib/*

clean:
	rm -rf apidocs luakit ${OBJS} ${TSRC} ${THEAD} globalconf.h luakit.1

install:
	install -d $(INSTALLDIR)/share/luakit/
	install -d $(DOCDIR)
	install -m644 README.md AUTHORS COPYING* $(DOCDIR)
	cp -r lib/ $(INSTALLDIR)/share/luakit/
	chmod -R 755 $(INSTALLDIR)/share/luakit/lib/
	install -D luakit $(INSTALLDIR)/bin/luakit
	install -d $(DESTDIR)/etc/xdg/luakit/
	install -D config/*.lua $(DESTDIR)/etc/xdg/luakit/
	install -d $(DESTDIR)/usr/share/pixmaps/
	install -D extras/luakit.png $(DESTDIR)/usr/share/pixmaps/
	install -d $(DESTDIR)/usr/share/applications/
	install -D extras/luakit.desktop $(DESTDIR)/usr/share/applications/
	install -d $(INSTALLDIR)/share/man/man1/
	install -m644 luakit.1 $(INSTALLDIR)/share/man/man1/

uninstall:
	rm -rf $(INSTALLDIR)/bin/luakit $(INSTALLDIR)/share/luakit $(INSTALLDIR)/share/man/man1/luakit.1
	rm -rf /usr/share/applications/luakit.desktop /usr/share/pixmaps/luakit.png

newline: options;@echo
.PHONY: all clean options install newline apidoc

## luakit 2010.12.25

=== Makefile ===
--- 
+++ 
@@ -6,8 +6,8 @@
 THEAD = common/tokenize.h
 TSRC  = common/tokenize.c
 
-SRCS  = $(filter-out ${TSRC},$(wildcard *.c) $(wildcard common/*.c) $(wildcard widgets/*.c)) ${TSRC}
-HEADS = $(wildcard *.h) $(wildcard common/*.h) $(wildcard widgets/*.h) ${THEAD} globalconf.h
+SRCS  = $(filter-out ${TSRC},$(wildcard *.c) $(wildcard common/*.c) $(wildcard classes/*.c) $(wildcard widgets/*.c)) ${TSRC}
+HEADS = $(wildcard *.h) $(wildcard common/*.h) $(wildcard widgets/*.h) $(wildcard classes/*.h) ${THEAD} globalconf.h
 OBJS  = $(foreach obj,$(SRCS:.c=.o),$(obj))
 
 all: options newline luakit luakit.1

=== debian/changelog ===
luakit (2010.12.25-3ubuntu1) natty; urgency=low

  * Change build-depends from libwebkit-dev to libwebkitgtk-dev as a
    part of webkit transition.
    - update debian/control

 -- Bhavani Shankar <bhavi@ubuntu.com>  Sat, 22 Jan 2011 00:04:07 +0530

luakit (2010.12.25-3) unstable; urgency=low

  * New upstream bugfix release (2010.12.25-r2).

 -- Clint Adams <clint@gnu.org>  Tue, 28 Dec 2010 15:41:47 -0500

=== debian/control ===
Source: luakit
Section: web
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Clint Adams <clint@gnu.org>
Standards-Version: 3.9.1
Build-Depends: liblua5.1-0-dev, libgtk2.0-dev, libwebkitgtk-dev, help2man, lua5.1
Homepage: http://www.luakit.org/
Vcs-Git: git://git.debian.org/collab-maint/luakit.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/luakit.git;a=summary

Package: luakit
Architecture: any
Section: web
Depends: ${shlibs:Depends}, liblua5.1-filesystem0
Description: A fast and small web browser extensible by Lua
 Luakit is a small web browser created by binding Lua to WebKitGTK.

=== debian/rules ===
#!/usr/bin/make -f
INSTALL = install
INSTALL_FILE    = $(INSTALL) -p    -o root -g root  -m  644
INSTALL_PROGRAM = $(INSTALL) -p    -o root -g root  -m  755
INSTALL_SCRIPT  = $(INSTALL) -p    -o root -g root  -m  755
INSTALL_DIR     = $(INSTALL) -p -d -o root -g root  -m  755

package=luakit

DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)

build:
	$(checkdir)

	$(MAKE) PREFIX=/usr
	touch build

clean:
	$(checkdir)
	-rm -f build
	$(MAKE) clean
	-rm -f `find . -name "*~"` \
	        debian/files* core debian/*ubstvars
	-rm -rf debian/luakit

install: build
	$(checkdir)
	$(INSTALL_DIR) debian/$(package)/usr/bin
	$(MAKE) install PREFIX=/usr DESTDIR=debian/$(package)
	rm -rf debian/$(package)/usr/share/luakit/docs
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	strip --remove-section=.comment --remove-section=.note \
		debian/$(package)/usr/bin/luakit
endif


binary-indep:	checkroot
	$(checkdir)

binary-arch:	checkroot build install
	$(checkdir)

	cd debian/$(package) && $(INSTALL_DIR) usr/share/doc/$(package) \
		DEBIAN

	$(INSTALL_FILE) debian/copyright debian/$(package)/usr/share/doc/$(package)/copyright
	$(INSTALL_FILE) debian/changelog debian/$(package)/usr/share/doc/$(package)/changelog.Debian
	$(INSTALL_FILE) debian/conffiles debian/$(package)/DEBIAN/conffiles
	$(INSTALL_SCRIPT) debian/postinst debian/$(package)/DEBIAN/postinst
	$(INSTALL_SCRIPT) debian/prerm debian/$(package)/DEBIAN/prerm

	gzip -9f `find debian/$(package)/usr/share/doc -type f ! -name "copyright"`
	gzip -9f debian/$(package)/usr/share/man/man1/luakit.1
	dpkg-shlibdeps -Tdebian/substvars debian/$(package)/usr/bin/luakit
	dpkg-gencontrol -ldebian/changelog -isp -p$(package) -Tdebian/substvars -Pdebian/luakit
	cd debian/$(package) && find * -type f ! -regex '^DEBIAN/.*' ! -path "etc/xdg/$(package)/*.lua" -print0 | xargs -r0 md5sum > DEBIAN/md5sums

	chmod a-x debian/$(package)/etc/xdg/luakit/*.lua
	chmod a-x debian/$(package)/usr/share/luakit/lib/lousy/*.lua
	chown -R root:root debian/$(package)
	chmod -R go=rX debian/$(package)

	dpkg --build debian/$(package) ..

define checkdir
	test -f debian/rules
endef

binary:		binary-arch

prebuild:
	@true

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot prebuild install

## luakit 2011.04.13

=== Makefile ===
# Include makefile config
include config.mk

# Token lib generation
TLIST = common/tokenize.list
THEAD = common/tokenize.h
TSRC  = common/tokenize.c

SRCS  = $(filter-out $(TSRC),$(wildcard *.c) $(wildcard common/*.c) $(wildcard clib/*.c) $(wildcard clib/soup/*.c) $(wildcard widgets/*.c)) $(TSRC)
HEADS = $(wildcard *.h) $(wildcard common/*.h) $(wildcard widgets/*.h) $(wildcard clib/*.h) $(wildcard clib/soup/*.h) $(THEAD) globalconf.h
OBJS  = $(foreach obj,$(SRCS:.c=.o),$(obj))

all: options newline luakit luakit.1

options:
	@echo luakit build options:
	@echo "CC           = $(CC)"
	@echo "LUA_PKG_NAME = $(LUA_PKG_NAME)"
	@echo "CFLAGS       = $(CFLAGS)"
	@echo "CPPFLAGS     = $(CPPFLAGS)"
	@echo "LDFLAGS      = $(LDFLAGS)"
	@echo "INSTALLDIR   = $(INSTALLDIR)"
	@echo "MANPREFIX    = $(MANPREFIX)"
	@echo "DOCDIR       = $(DOCDIR)"
	@echo
	@echo build targets:
	@echo "SRCS  = $(SRCS)"
	@echo "HEADS = $(HEADS)"
	@echo "OBJS  = $(OBJS)"

$(THEAD) $(TSRC): $(TLIST)
	./build-utils/gentokens.lua $(TLIST) $@

globalconf.h: globalconf.h.in
	sed 's#LUAKIT_INSTALL_PATH .*#LUAKIT_INSTALL_PATH "$(PREFIX)/share/luakit"#' globalconf.h.in > globalconf.h

$(OBJS): $(HEADS) config.mk

.c.o:
	@echo $(CC) -c $< -o $@
	@$(CC) -c $(CFLAGS) $(CPPFLAGS) $< -o $@

luakit: $(OBJS)
	@echo $(CC) -o $@ $(OBJS)
	@$(CC) -o $@ $(OBJS) $(LDFLAGS)

luakit.1: luakit
	help2man -N -o $@ ./$<

apidoc: luadoc/luakit.lua
	mkdir -p apidocs
	luadoc --nofiles -d apidocs luadoc/* lib/*

clean:
	rm -rf apidocs luakit $(OBJS) $(TSRC) $(THEAD) globalconf.h luakit.1

install:
	install -d $(INSTALLDIR)/share/luakit/
	install -d $(DOCDIR)
	install -m644 README.md AUTHORS COPYING* $(DOCDIR)
	cp -r lib/ $(INSTALLDIR)/share/luakit/
	chmod 755 $(INSTALLDIR)/share/luakit/lib/
	chmod 755 $(INSTALLDIR)/share/luakit/lib/lousy/
	chmod 755 $(INSTALLDIR)/share/luakit/lib/lousy/widget/
	chmod 644 $(INSTALLDIR)/share/luakit/lib/*.lua
	chmod 644 $(INSTALLDIR)/share/luakit/lib/lousy/*.lua
	chmod 644 $(INSTALLDIR)/share/luakit/lib/lousy/widget/*.lua
	install -D luakit $(INSTALLDIR)/bin/luakit
	install -d $(DESTDIR)/etc/xdg/luakit/
	install -D config/*.lua $(DESTDIR)/etc/xdg/luakit/
	chmod 644 $(DESTDIR)/etc/xdg/luakit/*.lua
	install -d $(DESTDIR)/usr/share/pixmaps/
	install -D extras/luakit.png $(DESTDIR)/usr/share/pixmaps/
	install -d $(DESTDIR)/usr/share/applications/
	install -D extras/luakit.desktop $(DESTDIR)/usr/share/applications/
	install -d $(INSTALLDIR)/share/man/man1/
	install -m644 luakit.1 $(INSTALLDIR)/share/man/man1/

uninstall:
	rm -rf $(INSTALLDIR)/bin/luakit $(INSTALLDIR)/share/luakit $(INSTALLDIR)/share/man/man1/luakit.1
	rm -rf /usr/share/applications/luakit.desktop /usr/share/pixmaps/luakit.png

newline: options;@echo
.PHONY: all clean options install newline apidoc

=== debian/changelog ===
luakit (2011.04.13-1ubuntu1) oneiric; urgency=low

  * Merge from debian unstable. Remaining change:
    - Change build-depends from libwebkit-dev to libwebkitgtk-dev as a
      part of webkit transition.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Thu, 05 May 2011 11:47:16 +0530

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: web
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Clint Adams <clint@gnu.org>
+XSBC-Original-Maintainer: Clint Adams <clint@debian.org>
 Standards-Version: 3.9.1
-Build-Depends: liblua5.1-0-dev, libgtk2.0-dev, libwebkitgtk-dev, help2man, lua5.1
+Build-Depends: liblua5.1-0-dev, libgtk2.0-dev, libwebkitgtk-dev, help2man, lua5.1, libsqlite3-dev
 Homepage: http://www.luakit.org/
 Vcs-Git: git://git.debian.org/collab-maint/luakit.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/luakit.git;a=summary

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 build:
 	$(checkdir)
 
-	$(MAKE) PREFIX=/usr
+	$(MAKE) PREFIX=/usr DEVELOPMENT_PATHS=0
 	touch build
 
 clean:

## luakit 2011.07.22

=== Makefile ===
--- 
+++ 
@@ -51,34 +51,38 @@
 	mkdir -p apidocs
 	luadoc --nofiles -d apidocs luadoc/* lib/*
 
+doc: globalconf.h $(THEAD) $(TSRC)
+	doxygen -s luakit.doxygen
+
 clean:
-	rm -rf apidocs luakit $(OBJS) $(TSRC) $(THEAD) globalconf.h luakit.1
+	rm -rf apidocs doc luakit $(OBJS) $(TSRC) $(THEAD) globalconf.h luakit.1
 
 install:
 	install -d $(INSTALLDIR)/share/luakit/
 	install -d $(DOCDIR)
 	install -m644 README.md AUTHORS COPYING* $(DOCDIR)
-	cp -r lib/ $(INSTALLDIR)/share/luakit/
+	cp -r lib $(INSTALLDIR)/share/luakit/
 	chmod 755 $(INSTALLDIR)/share/luakit/lib/
 	chmod 755 $(INSTALLDIR)/share/luakit/lib/lousy/
 	chmod 755 $(INSTALLDIR)/share/luakit/lib/lousy/widget/
 	chmod 644 $(INSTALLDIR)/share/luakit/lib/*.lua
 	chmod 644 $(INSTALLDIR)/share/luakit/lib/lousy/*.lua
 	chmod 644 $(INSTALLDIR)/share/luakit/lib/lousy/widget/*.lua
-	install -D luakit $(INSTALLDIR)/bin/luakit
+	install -d $(INSTALLDIR)/bin
+	install luakit $(INSTALLDIR)/bin/luakit
 	install -d $(DESTDIR)/etc/xdg/luakit/
-	install -D config/*.lua $(DESTDIR)/etc/xdg/luakit/
+	install config/*.lua $(DESTDIR)/etc/xdg/luakit/
 	chmod 644 $(DESTDIR)/etc/xdg/luakit/*.lua
-	install -d $(DESTDIR)/usr/share/pixmaps/
-	install -D extras/luakit.png $(DESTDIR)/usr/share/pixmaps/
-	install -d $(DESTDIR)/usr/share/applications/
-	install -D extras/luakit.desktop $(DESTDIR)/usr/share/applications/
-	install -d $(INSTALLDIR)/share/man/man1/
-	install -m644 luakit.1 $(INSTALLDIR)/share/man/man1/
+	install -d $(DESTDIR)/usr/share/pixmaps
+	install extras/luakit.png $(DESTDIR)/usr/share/pixmaps/
+	install -d $(DESTDIR)/usr/share/applications
+	install extras/luakit.desktop $(DESTDIR)/usr/share/applications/
+	install -d $(MANPREFIX)/man1/
+	install -m644 luakit.1 $(MANPREFIX)/man1/
 
 uninstall:
-	rm -rf $(INSTALLDIR)/bin/luakit $(INSTALLDIR)/share/luakit $(INSTALLDIR)/share/man/man1/luakit.1
+	rm -rf $(INSTALLDIR)/bin/luakit $(INSTALLDIR)/share/luakit $(MANPREFIX)/man1/luakit.1
 	rm -rf /usr/share/applications/luakit.desktop /usr/share/pixmaps/luakit.png
 
 newline: options;@echo
-.PHONY: all clean options install newline apidoc
+.PHONY: all clean options install newline apidoc doc

## luakit 2011.07.22-r1+1015

=== debian/control ===
Source: luakit
Section: web
Priority: optional
Maintainer: Clint Adams <clint@debian.org>
Standards-Version: 3.9.2
Build-Depends: liblua5.1-0-dev, libgtk2.0-dev, libwebkitgtk-dev, help2man, lua5.1, libsqlite3-dev, libunique-dev
Homepage: http://www.luakit.org/
Vcs-Git: git://git.debian.org/collab-maint/luakit.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/luakit.git;a=summary

Package: luakit
Architecture: any
Section: web
Depends: ${shlibs:Depends}, liblua5.1-filesystem0
Description: A fast and small web browser extensible by Lua
 Luakit is a small web browser created by binding Lua to WebKitGTK.

=== debian/rules ===
--- 
+++ 
@@ -41,10 +41,13 @@
 	$(checkdir)
 
 	cd debian/$(package) && $(INSTALL_DIR) usr/share/doc/$(package) \
+		usr/share/menu \
 		DEBIAN
 
 	$(INSTALL_FILE) debian/copyright debian/$(package)/usr/share/doc/$(package)/copyright
 	$(INSTALL_FILE) debian/changelog debian/$(package)/usr/share/doc/$(package)/changelog.Debian
+	$(INSTALL_FILE) debian/menu debian/$(package)/usr/share/menu/$(package)
+
 	$(INSTALL_FILE) debian/conffiles debian/$(package)/DEBIAN/conffiles
 	$(INSTALL_SCRIPT) debian/postinst debian/$(package)/DEBIAN/postinst
 	$(INSTALL_SCRIPT) debian/prerm debian/$(package)/DEBIAN/prerm

## luakit 2012.03.25

=== Makefile ===
--- 
+++ 
@@ -39,6 +39,8 @@
 .c.o:
 	@echo $(CC) -c $< -o $@
 	@$(CC) -c $(CFLAGS) $(CPPFLAGS) $< -o $@
+
+widgets/webview.o: $(wildcard widgets/webview/*.c)
 
 luakit: $(OBJS)
 	@echo $(CC) -o $@ $(OBJS)

## luakit 2012.09.13

=== Makefile ===
--- 
+++ 
@@ -78,7 +78,7 @@
 	install -d $(DESTDIR)/usr/share/pixmaps
 	install extras/luakit.png $(DESTDIR)/usr/share/pixmaps/
 	install -d $(DESTDIR)/usr/share/applications
-	install extras/luakit.desktop $(DESTDIR)/usr/share/applications/
+	install -m0644 extras/luakit.desktop $(DESTDIR)/usr/share/applications/
 	install -d $(MANPREFIX)/man1/
 	install -m644 luakit.1 $(MANPREFIX)/man1/
 
@@ -86,5 +86,11 @@
 	rm -rf $(INSTALLDIR)/bin/luakit $(INSTALLDIR)/share/luakit $(MANPREFIX)/man1/luakit.1
 	rm -rf /usr/share/applications/luakit.desktop /usr/share/pixmaps/luakit.png
 
+lunit:
+	git clone git://repo.or.cz/lunit.git
+
+run-tests: luakit lunit
+	@./luakit -c tests/lunit-run.lua tests/test_*.lua
+
 newline: options;@echo
 .PHONY: all clean options install newline apidoc doc

## luakit 2012.09.13-r1

=== debian/changelog ===
luakit (2012.09.13-r1-8) unstable; urgency=medium

  * QA upload.
  * Repackage source without source-less jquery.min.js.
  * Use libjs-jquery instead. Closes: #737435.

 -- Víctor Cuadrado Juan <me@viccuad.me>  Tue, 08 Sep 2015 18:05:00 +0200

luakit (2012.09.13-r1-7) unstable; urgency=medium

  * QA upload.
  * Change debian/patches/2012.09.13-r1-1.diff to use https on several
    search engines allowing it.
  * Add debian/patches/soup-ssl-strict-true.diff to not allow navigation
    on sites with invalid/expired ssl certificates. Closes: #790324.

 -- Santiago Vila <sanvila@debian.org>  Thu, 03 Sep 2015 23:35:48 +0200

luakit (2012.09.13-r1-6) unstable; urgency=medium

  * QA upload.
  * Tidy up debian/patches a little bit.
  * Calculate md5sums in a deterministic way.

 -- Santiago Vila <sanvila@debian.org>  Fri, 28 Aug 2015 22:27:52 +0200

luakit (2012.09.13-r1-5) unstable; urgency=medium

  * QA upload.
  [ Maria Valentina Marin ]
  * Fix mtimes before building binary packages. Closes: #792977.

 -- Santiago Vila <sanvila@debian.org>  Thu, 27 Aug 2015 19:37:18 +0200

=== debian/control ===
Source: luakit
Section: web
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Standards-Version: 3.9.6
Build-Depends: liblua5.1-0-dev, libgtk2.0-dev, libwebkitgtk-dev, help2man, lua5.1, libsqlite3-dev, libunique-dev
Homepage: http://luakit.org/
Vcs-Git: git://git.debian.org/collab-maint/luakit.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/luakit.git;a=summary

Package: luakit
Architecture: any
Depends: ${shlibs:Depends}, libjs-jquery, lua5.1-filesystem
Description: fast and small web browser extensible by Lua
 Luakit is a highly-configurable browser framework based on WebKitGTK+.
 It is very fast and extensible by Lua.  It is primarily targeted at power
 users, developers and any people with too much time on their hands who
 want to have fine-grained control over their web browser's behaviour and
 interface.

=== debian/rules ===
--- 
+++ 
@@ -9,15 +9,36 @@
 
 DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
 
-build:
+DEB_BUILD_ARCH_OS ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH_OS)
+DEB_BUILD_GNU_TYPE = $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
+DEB_HOST_GNU_TYPE = $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
+
+BUILD_DATE := $(shell dpkg-parsechangelog -S Date)
+
+STRIP=strip
+
+ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
+	CONFARGS = --build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE)
+	STRIP=$(DEB_HOST_GNU_TYPE)-strip
+endif
+
+CFLAGS := $(shell dpkg-buildflags --get CFLAGS)
+CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS)
+LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS)
+
+build: build-indep build-arch
+
+build-indep:
+
+build-arch:
 	$(checkdir)
 
 	$(MAKE) PREFIX=/usr DEVELOPMENT_PATHS=0
-	touch build
+	touch build-arch
 
 clean:
 	$(checkdir)
-	-rm -f build
+	-rm -f build build-arch
 	$(MAKE) clean
 	-rm -f `find . -name "*~"` \
 	        debian/files* core debian/*ubstvars
@@ -52,17 +73,19 @@
 	$(INSTALL_SCRIPT) debian/postinst debian/$(package)/DEBIAN/postinst
 	$(INSTALL_SCRIPT) debian/prerm debian/$(package)/DEBIAN/prerm
 
-	gzip -9f `find debian/$(package)/usr/share/doc -type f ! -name "copyright"`
-	gzip -9f debian/$(package)/usr/share/man/man1/luakit.1
+	gzip -9nf `find debian/$(package)/usr/share/doc -type f ! -name "copyright"`
+	gzip -9nf debian/$(package)/usr/share/man/man1/luakit.1
 	dpkg-shlibdeps -Tdebian/substvars debian/$(package)/usr/bin/luakit
 	dpkg-gencontrol -ldebian/changelog -isp -p$(package) -Tdebian/substvars -Pdebian/luakit
-	cd debian/$(package) && find * -type f ! -regex '^DEBIAN/.*' ! -path "etc/xdg/$(package)/*.lua" -print0 | xargs -r0 md5sum > DEBIAN/md5sums
-
+	cd debian/$(package) && find * -type f ! -regex '^DEBIAN/.*' ! -path "etc/xdg/$(package)/*.lua" -print0 |\
+		LC_ALL=C sort -z | xargs -r0 md5sum > DEBIAN/md5sums
+	cd debian/$(package) && ln -s ../../javascript/jquery/jquery.min.js usr/share/luakit/lib/jquery.min.js
 	chmod a-x debian/$(package)/etc/xdg/luakit/*.lua
 	chmod a-x debian/$(package)/usr/share/luakit/lib/lousy/*.lua
 	chown -R root:root debian/$(package)
 	chmod -R go=rX debian/$(package)
-
+	find debian/$(package) -newermt '$(BUILD_DATE)' -print0 |\
+		xargs -0r touch -h --date='$(BUILD_DATE)'
 	dpkg --build debian/$(package) ..
 
 define checkdir
@@ -78,4 +101,4 @@
 	$(checkdir)
 	test root = "`whoami`"
 
-.PHONY: binary binary-arch binary-indep clean checkroot prebuild install
+.PHONY: build build-indep binary binary-arch binary-indep clean checkroot prebuild install

=== debian/watch ===
version=3
https://github.com/mason-larobina/luakit/tags /mason-larobina/luakit/archive/(.+).tar.gz
